import 'package:flutter/cupertino.dart';
import 'package:nui_core/color/nui_colors.dart';

class NUIShadowView extends StatelessWidget {
  NUIShadowView({this.color, this.opacity, this.blurRadius, this.spreadRadius, this.offset, this.radius:0, @required this.child, this.padding, this.margin});
  final Color color;
  final double opacity;
  final double blurRadius;
  final double spreadRadius;
  final Offset offset;
  final Widget child;
  final EdgeInsets padding;
  final EdgeInsets margin;
  final double radius;

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: padding,
      margin: margin,
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(radius ?? 0),
        boxShadow: [
          BoxShadow(
            color: (color ?? NUIColors.NUIBlack).withOpacity(opacity ?? 0.2),
            spreadRadius: spreadRadius ?? 0,
            blurRadius: blurRadius ?? 5,
            offset: offset ?? Offset(0, 0), // changes position of shadow
          ),
        ],
      ),
      child: child,
    );
  }
}
